 function [G] = utu (A) 
%---------------------------------------------
%  function [L,U] = utu (A) 
%  performs Cholesky factorization of A 
%  yields an upper triangular matrix.
%---------------------------------------------
 n = size(A,1) ;

 for k=1:n
     piv(k+1:n) = A(k,k+1:n)/A(k,k);
     for i=k+1:n
        A(i,i:n)=A(i,i:n)-piv(i)*A(k,i:n);
     end 
     G(k,k:n) = A(k,k:n)/sqrt(A(k,k));
 end
